Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.security
Class AccessDeniedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.security.SecurityException
                      org.apache.slide.security.AccessDeniedException

All Implemented Interfaces:
  java.io.Serializable

public class AccessDeniedException
extends SecurityException

Access denied.

Version:
  $Revision: 1.8 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`AccessDeniedException(java.lang.String objectUri, java.lang.String subjectUri, java.lang.String actionUri)` Constructor.

Method Summary
`java.lang.String` | `getActionUri()` Object Uri accessor.
`java.lang.String` | `getObjectUri()` Object Uri accessor.
`java.lang.String` | `getSubjectUri()` Subject Uri accessor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessDeniedException

    public AccessDeniedException(java.lang.String objectUri,
                                 java.lang.String subjectUri,
                                 java.lang.String actionUri)

  Constructor.

Parameters:
  `objectUri` - Object on which the access was denied
  `subjectUri` - Subject
  `actionUri` - Action which was attempted

Method Detail

### getObjectUri

    public java.lang.String getObjectUri()

  Object Uri accessor.

  Returns:
    String object Uri

### getSubjectUri

    public java.lang.String getSubjectUri()

  Subject Uri accessor.

  Returns:
    String object Uri

### getActionUri

    public java.lang.String getActionUri()

  Object Uri accessor.

  Returns:
    String object Uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD